aboutsummaryrefslogtreecommitdiffhomepage
path: root/disabled
diff options
context:
space:
mode:
authorGravatar Gael Guennebaud <g.gael@free.fr>2008-09-16 13:26:46 +0000
committerGravatar Gael Guennebaud <g.gael@free.fr>2008-09-16 13:26:46 +0000
commit373331e3bf9213f195070c11f32ed4a1dade86f3 (patch)
treec4a068d79c9c1a2c193923265ac888619e5ffdaa /disabled
parent42e88b172497a309ea182c1562869739d0021cee (diff)
remove apidox_preprocessing script which is not used anymore
Diffstat (limited to 'disabled')
-rwxr-xr-xdisabled/apidox_preprocessing.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/disabled/apidox_preprocessing.sh b/disabled/apidox_preprocessing.sh
new file mode 100755
index 000000000..a611465cb
--- /dev/null
+++ b/disabled/apidox_preprocessing.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+CXX=`which g++`
+SRC=$1
+mkdir -p eigen2/out
+
+if expr match $SRC ".*\/examples\/.*" > /dev/null ; then
+
+# DST=`echo $SRC | sed 's/examples/out/' | sed 's/cpp$/out/'`
+ DST=`echo $SRC | sed 's/.*\/examples/eigen2\/out/' | sed 's/cpp$/out/'`
+ INC=`echo $SRC | sed 's/\/doc\/examples\/.*/\//'`
+
+ if ! test -e $DST || test $SRC -nt $DST ; then
+ $CXX $SRC -I. -I$INC -o eitmp_example && ./eitmp_example > $DST
+ rm eitmp_example
+ fi
+
+elif expr match $SRC ".*\/snippets\/.*" > /dev/null ; then
+
+# DST=`echo $SRC | sed 's/snippets/out/' | sed 's/cpp$/out/'`
+ DST=`echo $SRC | sed 's/.*\/snippets/eigen2\/out/' | sed 's/cpp$/out/'`
+ INC=`echo $SRC | sed 's/\/doc\/snippets\/.*/\//'`
+
+ if ! test -e $DST || test $SRC -nt $DST ; then
+ echo "#include <Eigen/Core>" > .ei_in.cpp
+ echo "#include <Eigen/Array>" >> .ei_in.cpp
+ echo "#include <Eigen/LU>" >> .ei_in.cpp
+ echo "#include <Eigen/Cholesky>" >> .ei_in.cpp
+ echo "#include <Eigen/Geometry>" >> .ei_in.cpp
+ echo "using namespace Eigen; using namespace std;" >> .ei_in.cpp
+ echo "int main(int, char**){cout.precision(3);" >> .ei_in.cpp
+ cat $SRC >> .ei_in.cpp
+ echo "return 0;}" >> .ei_in.cpp
+ echo " " >> .ei_in.cpp
+
+ $CXX .ei_in.cpp -I. -I$INC -o eitmp_example && ./eitmp_example > $DST
+ rm eitmp_example
+ rm .ei_in.cpp
+ fi
+
+fi
+
+cat $SRC
+exit 0